Subject: Re: bug#31372: 26.1; flyspell highlighting for all misspelled words vanishes after adding a word to dictionary

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 May 2018 21:26:55 +0300

> From: emacs user <[email-masked]>
> Date: Sun, 6 May 2018 10:58:33 +0300
> 
> Hello, I am encountering the problem described in
> 
> https://emacs.stackexchange.com/questions/30653/flyspells-highlight-cleared-after-a-save-word-action
> 
> to quote from there:
> 
> After running flyspell-buffer, all misspelled words are highlighted.
> However, after saving a word, all of the highlighting is gone. How can
> I avoid that?
> 
> this has been a problem for a while now for me, in different emacs versions.

When the personal dictionary is saved, ispell.el restarts Flyspell
mode, and that removes all the overlays used for highlighting.  This
code was a deliberate change to fix bug#11963, which see.  However,
since then, a better solution for the same scenario was already
installed, so this semi-kludgey fix is no longer needed.  I removed
that code now on the master branch, and that fixes this particular
bug.

Thanks.